Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent.
Name: dhcp
Epoch: 1
Version: 3.0.3
Release: 1tr
License: distributable
Group: Trustix Official
Source0: ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Source3: dhcrelay.init
Patch0: dhcp-3.0pl2-buildroot.patch
Obsoletes: dhcpd
BuildRoot: /var/tmp/%{name}-root
PreReq: /sbin/restart_maybe /sbin/chkconfig

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the DHCP
server and a DHCP relay agent.

You should install dhcp if you want to set up a DHCP server on your
network. You will also need to install the pump package, which provides
the DHCP client daemon, on client machines.

%package common
Summary:        The ISC DHCP (Dynamic Host Configuration Protocol) server
Group: Trustix Official

%description common
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the
DHCP server and a DHCP relay agent.

You will also need to install the dhcp-client or pump which provides 
the DHCP client daemon, on  client machines. If you want the DHCP server 
and/or relay, you will also need to install the dhcp-server and/or 
dhcp-relay packages.

%package client
Summary: The ISC DHCP (Dynamic Host Configuration Protocol) client
Group: Trustix Official
Requires: dhcp-common = %{version}

%description client
DHCP client is the Internet Software Consortium (ISC) DHCP client for various
UNIX operating systems.  It allows a UNIX mac hine to obtain it's networking
parameters from a DHCP server.

You should install dhcp-client if you want to use the ISC DHCP client instead
of the Red Hat DHCP client, pump, or dhcpcd, or dhcpxd. You will also need to
install the base dhcp package.

%package server
Summary:        The ISC DHCP (Dynamic Host Configuration Protocol) server
Group: Trustix Official
Requires:       dhcp-common = %version
PreReq: /sbin/restart_maybe /sbin/chkconfig
Obsoletes:      dhcp

%description server
DHCP server is the Internet Software Consortium (ISC) DHCP server for various
UNIX operating systems. It allows a UNIX mac hine to serve DHCP requests from
the network.

You should install dhcp-server if you want to set up a DHCP server on your
network. You will also need to install the base dhcp package.

%package devel
Summary:        Development headers and libraries for the dhcpctl API 
Group: Trustix Official
Requires:       dhcp-common = %version

%description devel
DHCP devel contains all of the libraries and headers for developing with th
Internet Software Consortium (ISC) dhcpctl API.


%prep
%setup -q
%patch0 -p1

cp %SOURCE1 .

%build
./configure
make CC="gcc -pipe" DEBUG="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/* || :

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0755 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/dhcpd
install -m 0755 %SOURCE3 $RPM_BUILD_ROOT/etc/init.d/dhcrelay

#Install the example configuration file at the configuration location as well
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/etc/dhcpd.conf

mkdir -p -m 755 $RPM_BUILD_ROOT/var/state/dhcp
touch $RPM_BUILD_ROOT/var/state/dhcp/dhcpd.leases
touch $RPM_BUILD_ROOT/var/state/dhcp/dhclient.leases


mkdir -p %{buildroot}/etc/sysconfig
cat << __EOF__ > ${RPM_BUILD_ROOT}/etc/sysconfig/dhcpd
# Command line options here
DHCPDARGS=""
__EOF__
cat << __EOF__ > ${RPM_BUILD_ROOT}/etc/sysconfig/dhcrelay
# Command line options here
DHCRELAYARGS="-q"
__EOF__

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post server
# Restart service after upgrade.
/sbin/chkconfig --add dhcpd
/sbin/restart_maybe dhcpd
/sbin/chkconfig --add dhcrelay
/sbin/restart_maybe dhcrelay

%preun server
if [ $1 = 0 ]; then	# execute this only if we are NOT doing an upgrade
   #Stop service if it's running
   if [ -f /mnt/lockdev/dhcpd ]; then
       %{_initdir}/dhcpd stop
   fi
   if [ -f /mnt/lockdev/dhcrelay ]; then
       %{_initdir}/dhcrelay stop
   fi

   /sbin/chkconfig --del dhcpd
   /sbin/chkconfig --del dhcrelay 
fi

%files common
%defattr(-,root,root,0755)
%doc CHANGES README RELNOTES dhcpd.conf.sample
%doc doc
%dir /var/state/dhcp

%files server
%defattr(-,root,root,0755)
%{_sbindir}/dhcpd
%{_mandir}/man8/dhcrelay.8*
%{_bindir}/omshell
%{_mandir}/man1/omshell.1*
%{_mandir}/man3/omapi.3*
%{_mandir}/man5/dhcpd.conf.5*
%{_mandir}/man5/dhcpd.leases.5*
%{_mandir}/man5/dhcp-options.5*
%{_mandir}/man5/dhcp-eval.5*
%{_mandir}/man8/dhcpd.8*
%config(noreplace) /var/state/dhcp/dhcpd.leases
%config(noreplace) %{_sysconfdir}/sysconfig/dhcpd
%config(noreplace) %{_sysconfdir}/sysconfig/dhcrelay
/etc/init.d/dhcpd
/etc/init.d/dhcrelay
%config(noreplace) /etc/dhcpd.conf
%{_sbindir}/dhcrelay

%files client
%defattr(-,root,root,0755)
%doc client/dhclient.conf
%attr (0755,root,root) /sbin/dhclient-script
/sbin/dhclient
%{_mandir}/man5/dhclient.conf.5*
%{_mandir}/man5/dhclient.leases.5*
%{_mandir}/man8/dhclient.8*
%{_mandir}/man8/dhclient-script.8*
%config(noreplace) /var/state/dhcp/dhclient.leases

%files devel
%defattr(-,root,root,0755)
%{_mandir}/man3/*
%{_libdir}/*
%{_includedir}/*


%changelog
* Thu Nov 17 2005 Bipin S <bipin at trustix dor org> 3.0.3-1tr
- New Upstream.

* Tue May 10 2005 Chr. Toldnes <christht at trustix dot org> 3.0.1-3tr
- Added dhcrelay initscript
- Readded Epoch, please do not remove, we need this in 2.2

* Mon Feb 14 2005 Ajith Thampi <ajith at comodo dot com> 3.0.1-2tr
- Epoch fixage and dependency fix

* Fri Sep 10 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.1-1tr
- Epoch 1 as 3.0.1 is older than 3.0pl2

* Thu Sep  9 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.1-1tr
- New upstream.

* Wed May 19 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0pl2-12tr
- No longer %ghost the files in /var/state/dhcp

* Sun Feb 29 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0pl2-10tr
- Added more PreReq's.

* Wed Feb 11 2004 Tor Hveem <torh at trustix dot org> 3.0pl2-8th
- Package splitups
- Included LIBDIR and INCDIR in patch

* Mon Feb 09 2004 Jaakko Heinonen <jheinonen@users.sourceforge.net> 3.0pl2-7jh
- added /etc/sysconfig/dhcpd for command line options

* Mon Feb  2 2004 Chr. Toldnes <christht at tihlde dot org> 3.0pl2-6tr
- chkconfig --add in %post

* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 3.0pl2-5tr
- New upstream.

* Wed Jul  2 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl2-4tr
- XPloy could not parse config file -> Removed comment at end of line.

* Mon Jun 30 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl2-3tr
- Rebuilt with -tr.

* Sun Jun 29 2003 Janke Rnnblom <janron at trustix dot org> 3.0pl2-3jr
- Missing man pages (man8, man1, man3)

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl2-2tr
- Big rebuild

* Wed Jun  4 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl2-1em
- New upstream with fixed buffer overflow.
- Do not try to update DNS by default.

* Tue May 06 2003 Frode Ramsvik <froder at trustix dot com> 3.0pl1-6fr
- Installing the example configuration file as /etc/dhcpd.conf as well.
- Added /var/state/dhcp/dhcpd.leases
- Server is "not authoritative" in configuration file. 
- Stop service when uninstalling.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl1-5em
- Rebuilt against glibc 2.3.2.

* Wed Jan 22 2003 Tor Hveem <torh at trustix dot org> 3.0pl1-4th
- don't install initscript as a config file

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 3.0pl1-3ct
- dhcpd initscript now uses $INITLOCK

* Tue Aug 20 2002 Gerald Dachs <gda at trustix dot org> 3.0pl1-2gd
- changed init script location

* Sun Jul 14 2002 Gerald Dachs <gda at trustix dot org>
- Updated to 3.0pl1

* Tue Sep 12 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.0p5

* Wed Aug 16 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.0p4

* Thu May 5 2000 Per Ivar Paulsen <perp at trustix dot com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages
- marked /etc/rc.d/init.d/dhcp as a config file

* Mon Jan 24 2000 Jakub Jelinek <jakub@redhat.com>
- fix booting of JavaStations
  (reported by Pete Zaitcev <zaitcev@metabyte.com>).
- fix SIGBUS crashes on SPARC (apparently gcc is too clever).

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0b1pl28.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
